// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

/**
 * Protobuf enum {@code com.accelfin.server.demo.fx.dtos.TemporalUnitDto}
 */
public enum TemporalUnitDto
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <code>SECONDS = 0;</code>
   */
  SECONDS(0),
  /**
   * <code>MINUTE = 1;</code>
   */
  MINUTE(1),
  /**
   * <code>HOUR = 2;</code>
   */
  HOUR(2),
  UNRECOGNIZED(-1),
  ;

  /**
   * <code>SECONDS = 0;</code>
   */
  public static final int SECONDS_VALUE = 0;
  /**
   * <code>MINUTE = 1;</code>
   */
  public static final int MINUTE_VALUE = 1;
  /**
   * <code>HOUR = 2;</code>
   */
  public static final int HOUR_VALUE = 2;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static TemporalUnitDto valueOf(int value) {
    return forNumber(value);
  }

  public static TemporalUnitDto forNumber(int value) {
    switch (value) {
      case 0: return SECONDS;
      case 1: return MINUTE;
      case 2: return HOUR;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<TemporalUnitDto>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      TemporalUnitDto> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<TemporalUnitDto>() {
          public TemporalUnitDto findValueByNumber(int number) {
            return TemporalUnitDto.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.getDescriptor()
        .getEnumTypes().get(0);
  }

  private static final TemporalUnitDto[] VALUES = values();

  public static TemporalUnitDto valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private TemporalUnitDto(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:com.accelfin.server.demo.fx.dtos.TemporalUnitDto)
}

